> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create and submit an inventory OUT in the WineDirect fulfillment system



## OpenAPI

````yaml /openapi.json post /api/v1/Transfers/OUTs
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Transfers/OUTs:
    post:
      tags:
        - Transfers
      summary: Create and submit an inventory OUT in the WineDirect fulfillment system
      requestBody:
        description: The request to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InventoryOutCreateRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsertInventoryOutResponseServiceResult'
components:
  schemas:
    InventoryOutCreateRequest:
      required:
        - deliveryMethod
        - priority
        - supplierId
        - warehouseCode
      type: object
      properties:
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        warehouseCode:
          minLength: 1
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
        priority:
          minLength: 2
          type: string
          description: "The priority of this order\r\n            \r\n     NORMAL\r\n     RUSH"
        deliveryMethod:
          minLength: 1
          type: string
          description: "The delivery method\r\n\r\n     WD_DELIVERY_TO_CLIENT\r\n     CLIENT_PICKUP\r\n     WD_TRANSFER_TO_GLW\r\n     WD_TRANSFER_TO_WDI\r\n     WD_SHIPMENT_TO_CLIENT\r\n     See:  https://fulfillment.winedirect.com/administration/api-help"
        instructions:
          type: string
          description: Any human readable instructions
          nullable: true
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/InventoryOutCreateLineItem'
          nullable: true
      additionalProperties: false
    InsertInventoryOutResponseServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/InsertInventoryOutResponse'
      additionalProperties: false
      description: Generic container for all service responses
    InventoryOutCreateLineItem:
      required:
        - qty
        - sku
        - subInventoryCode
      type: object
      properties:
        sku:
          minLength: 1
          type: string
          description: The SKU of the customer
        subInventoryCode:
          minLength: 1
          type: string
          description: The Sub Inventory  (Code)
        qty:
          type: integer
          description: The quantity
          format: int32
      additionalProperties: false
    InsertInventoryOutResponse:
      type: object
      properties:
        referenceNumber:
          type: string
          description: The created Reference Number
          nullable: true
        messages:
          type: array
          items:
            type: string
          description: The message about the creation
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````